# modify-HSV-gamma Ver. 0.3
# replaces modify-exp000
# apply gamma correction separately to H-S-V
# the original corresponds to 31 for par1, par2, par3

gammaH = (par1+1)/32.0
HgammaCorrection = 32.0/float(par1+1)
gammaS = (par2+1)/32.0
SgammaCorrection = 32.0/float(par2+1)
gammaV = (par3+1)/32.0
VgammaCorrection = 32.0/float(par3+1)
#
setmystatus("Gamma Correction H: %3.2f  S: %3.2f   V: %3.2f"%(gammaH,gammaS,gammaV))
#

H,S,V = rgb_to_hsv(yR/256.0,yG/256.0,yB/256.0)

H0 = (H**HgammaCorrection)
S0 = (S**SgammaCorrection)
V0 = (V**VgammaCorrection)

yR0,yG0,yB0 = hsv_to_rgb(H0,S0,V0)
yR = yR0*255
yG = yG0*255
yB = yB0*255





