# the first x-point must be 0 and the last one 256 (0xFF+1)
# the last R,G,B values are not used
# Base color + 3 others (set of 4) adjustable variations in hue increase + value inc.
# colorscheme: triadic
# use small values for par3 (hue variation), par4 (sat variation), par4 (value [blackness] variation)
# save with colordistance=0

scale = par4/(255.0*3)
scaleV = par5/(255.0*3)
scaleS = par6/(255.0*3)

colsep=50

H,S,V = rgb_to_hsv(par1/255.0,par2/255.0,par3/255.0)
R,G,B = hsv_to_rgb(H+scale,S+scaleS,V+scaleV)
R1,G1,B1 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*2,S+scaleS*2,V+scaleV*2)
R2,G2,B2 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*3,S+scaleS*3,V+scaleV*3)
R3,G3,B3 = R*255,G*255,B*255

R4,G4,B4=(par1+colsep)%0xFF,(par2+colsep)%0xFF,(par3+colsep)%0xFF
H,S,V = rgb_to_hsv(R4/255.0,G4/255.0,B4/255.0)
R,G,B = hsv_to_rgb(H-scale,S+scaleS,V+scaleV)
R5,G5,B5 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*2,S+scaleS*2,V+scaleV*2)
R6,G6,B6 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*3,S+scaleS*3,V+scaleV*3)
R7,G7,B7 = R*255,G*255,B*255

R8,G8,B8=(par1+colsep*2)%0xFF,(par2+colsep*2)%0xFF,(par3+colsep*2)%0xFF
H,S,V = rgb_to_hsv(R8/255.0,G8/255.0,B8/255.0)
R,G,B = hsv_to_rgb(H-scale,S+scaleS,V+scaleV)
R9,G9,B9 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*2,S+scaleS*2,V+scaleV*2)
R10,G10,B10 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*3,S+scaleS*3,V+scaleV*3)
R11,G11,B11 = R*255,G*255,B*255

R12,G12,B12=(par1+colsep*3)%0xFF,(par2+colsep*3)%0xFF,(par3+colsep*2)%0xFF
H,S,V = rgb_to_hsv(R12/255.0,G12/255.0,B12/255.0)
R,G,B = hsv_to_rgb(H-scale,S+scaleS,V+scaleV)
R13,G13,B13 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*2,S+scaleS*2,V+scaleV*2)
R14,G14,B14 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*3,S+scaleS*3,V+scaleV*3)
R15,G15,B15 = R*255,G*255,B*255



yR, yG, yB , yA = strips(x,[(0,par1,par2,par3,255),
	(16,R1,G1,B1,255),
	(32,R2,G2,B2,255),
	(48,R3,G3,B3,255),
	(64,R4,G4,B4,255),
	(80,R5,G5,B5,255),
	(96,R6,G6,B6,255),
	(112,R7,G7,B7,255),
	(128,R8,G8,B8,255),
	(144,R9,G9,B9,255),
	(160,R10,G10,B10,255),
	(176,R11,G11,B11,255),
	(192,R12,G12,B12,255),
	(208,R13,G13,B13,255),
	(224,R13,G14,B14,255),
	(240,R14,G15,B15,255),
	(0xFF+1,R14,G14,B14,255)])





























