# 10 color strips: (x-point, R, G, B, Alpha)
# the first x-point must be 0 and the last one 256
# the last R,G,B values are not used

# Base color + 4 adjustable variations in hue increase + value inc.
# Complementary color + 4 adjustable variations in hue decrease + value dec.

scale = par4/(255.0*3)
scaleV = par5/(255.0*3)
scaleS = par6/(255.0*3)

H,S,V = rgb_to_hsv(par1/255.0,par2/255.0,par3/255.0)
R,G,B = hsv_to_rgb(H+scale,S+scaleS,V+scaleV)
R1,G1,B1 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*2,S+scaleS*2,V+scaleV*2)
R2,G2,B2 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*3,S+scaleS*3,V+scaleV*3)
R3,G3,B3 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H+scale*4,S+scaleS*4,V+scaleV*4)
R4,G4,B4 = R*255,G*255,B*255

RC,GC,BC=255-par1,255-par2,255-par3
H,S,V = rgb_to_hsv(RC/255.0,GC/255.0,BC/255.0)
R,G,B = hsv_to_rgb(H-scale,S+scaleS,V+scaleV)
RC1,GC1,BC1 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*2,S+scaleS*2,V+scaleV*2)
RC2,GC2,BC2 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*3,S+scaleS*3,V+scaleV*3)
RC3,GC3,BC3 = R*255,G*255,B*255
R,G,B = hsv_to_rgb(H-scale*4,S+scaleS*4,V+scaleV*4)
RC4,GC4,BC4 = R*255,G*255,B*255

yR, yG, yB , yA = strips(x,[(0,par1,par2,par3,255),
					(25,R1,G1,B1,255),
                                        (50,R2,G2,B2,255),
					(75,R3,G3,B3,255),
                                        (100,R4,G4,B4,255),
					(125,RC,BC,GC,255),
                                        (150,RC1,BC1,GC1,255),
                                        (175,RC2,BC2,GC2,255),
                                        (200,RC3,BC3,GC3,255),
                                        (225,RC4,BC4,GC4,255),
                                        (256,0,0,0,255)])

















