# 5 color strips: (x-point, R, G, B, Alpha)
# the first x-point must be 0 and the last one 256
# the last R,G,B values are not used


c1,c2,c3 = par1,par2,par3
m1,m2,m3 = complem(par1,par2,par3)

cH,cS,cV = rgb_to_hsv(c1,c2,c3)
mH,mS,mV = complem(par1,par2,par3)

ic1R,ic1G,ic1B = hsv_to_rgb(cH,mS-(mS-cS)*(1.0/5.0),cV)
ic2R,ic2G,ic2B = hsv_to_rgb(cH,mS-(mS-cS)*(2.0/5.0),cV)
ic3R,ic3G,ic3B = hsv_to_rgb(cH,mS-(mS-cS)*(3.0/5.0),cV)
ic4R,ic4G,ic4B = hsv_to_rgb(cH,mS-(mS-cS)*(4.0/5.0),cV)
ic5R,ic5G,ic5B = hsv_to_rgb(cH,mS-(mS-cS)*(5.0/5.0),cV)

yR, yG, yB , yA = strips(x,[(0,c1,c2,c3,255),
					(25,ic1R,ic1G,ic1B,255),
                                        (50,ic2R,ic2G,ic2B,255),
					(75,ic3R,ic3G,ic3B,255),
                                        (100,ic4R,ic4G,ic4B,255),
					(125,ic5R,ic5G,ic5B,255),
                                        (150,m1,m2,m3,255),
                                        (175,13,3,50,255),
                                        (200,11,31,10,255),
                                        (225,113,1,10,255),
                                        (256,0,0,0,255)])

coeff = 1 #+ (1+cos(x/10.0))/4.0

yR=yR*coeff 
yG=yG*coeff 
yB=yB*coeff 









